function read = cigar2read( cigar )
	numcigar = cigar + 0;
	stsi = sum(numcigar > ("9"+0)); 	% # of Characters 
	cc=1;
	read(cc)=0;
	stack=0;
	for jj = 1:stsi
		[v01,v02] = sscanf(cigar,"%d%c","C");
		if (v02+0 == 78)
			%stack -> exon position
			++cc;
			read(cc) = stack + read(cc-1) - 1;
			stack=0;
			++cc;
			read(cc) = read(cc-1) + v01 +1;
		elseif ( v02+0  == 73)
			%Insertion handling
			%Do nothing
			%Insertions are not counted towards the total length of the read
		elseif jj != stsi
			stack += v01;
		else
			%last position	
			++cc;
			read(cc) = read(cc-1) + stack+ v01 -1;
		end
		dis=length( (sprintf("%d",v01).+0) ) + 1;
		cigar(1:dis)=[];
	end
end
